# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::Interpolator Class Reference

Abstract class for all the interpolators. More...

`#include <Interpolator.hpp>`

Inheritance diagram for vl::Interpolator:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| Interpolator ()

## Detailed Description

Abstract class for all the interpolators.

An Interpolator is an object that implements a specific interpolation scheme (linear, Catmull-Rom, Bezier etc.) to interpolate data such as vectors, colors, rotations an so on. Interpolators are very useful for tasks such as animating an object's position and/or rotation, creating a smooth curved line from a set of control points, creating extrusion paths and silhouettes etc.

See also:

LinearInterpolator, CatmullRomInterpolator, the Interpolators Tutorial page and the Extrusion class.

Definition at line 52 of file Interpolator.hpp.

## Constructor & Destructor Documentation

vl::Interpolator::Interpolator | ( | ) | `[inline]`

Definition at line 56 of file Interpolator.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::Interpolator::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

Definition at line 55 of file Interpolator.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/Interpolator.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:32.
Permission is granted to use this page to write and publish articles regarding Visualization Library.